AOMedia AV1 Codec: Data Fields - Variables

| AOMedia AV1 Codec

Here is a list of all documented variables with links to the struct/union documentation for each field:

### - t -

- target_bandwidth : RateControlCfg
- target_num_seg_blocks : CYCLIC_REFRESH
- tc : aom_image
- tcoeff : CB_COEFF_BUFFER, CoeffBufferPool
- td : AV1_COMP
- temporal_id : aom_image
- temporal_layer_id : aom_svc_layer_id, AV1Common
- terminate_partition_search : aom_partition_decision
- tf_buf : TEMPORAL_FILTER_INFO
- tf_buf_display_index_offset : TEMPORAL_FILTER_INFO
- tf_buf_gf_index : TEMPORAL_FILTER_INFO
- tf_buf_second_arf : TEMPORAL_FILTER_INFO
- tf_buf_valid : TEMPORAL_FILTER_INFO
- tf_ctx : AV1_COMP
- tf_info : AV1_PRIMARY
- tf_sync : MultiThreadInfo
- third_pass_ctx : AV1_COMP
- this_frame_target : RATE_CONTROL
- this_rdc : InterModeSearchStateNonrd
- thread_id_to_tile_id : AV1EncRowMultiThreadInfo
- threads : aom_codec_dec_cfg
- thresh_dist_sb : CYCLIC_REFRESH
- thresh_freq_fact : macroblock
- thresh_rate_sb : CYCLIC_REFRESH
- threshold_minmax : VarBasedPartitionInfo
- thresholds : VarBasedPartitionInfo
- tile : macroblockd
- tile_columns : aom_tile_info
- tile_ctx : macroblockd
- tile_data : AV1_COMP
- tile_height_count : aom_codec_enc_cfg
- tile_heights : aom_codec_enc_cfg, aom_tile_info
- tile_pb_ctx : macroblock
- tile_rows : aom_tile_info
- tile_thr_data : MultiThreadInfo, PrimaryMultiThreadInfo
- tile_width_count : aom_codec_enc_cfg
- tile_widths : aom_codec_enc_cfg, aom_tile_info
- tiles : AV1Common
- time_for_refresh : CYCLIC_REFRESH
- time_stamps : AV1_COMP
- timestamp_ratio : AV1_COMP_DATA
- tmp_best_mask_buf : CompoundTypeRdBuffers
- tmp_conv_dst : macroblock, macroblockd
- tmp_obmc_bufs : macroblockd
- tmp_pred_bufs : macroblock
- tmp_pred_cost : ModeCosts
- token_info : AV1_COMP
- top_linebuf : CdefBlockInfo
- total_actual_bits : PRIMARY_RATE_CONTROL
- total_stats : FIRSTPASS_INFO
- total_target_bits : PRIMARY_RATE_CONTROL
- tpl_bsize_1d : TplParams
- tpl_data : AV1_PRIMARY
- tpl_data_count : SuperBlockEnc
- tpl_features : aom_sb_features
- tpl_frame : TplParams
- tpl_inter_cost : aom_partition_features, SuperBlockEnc
- tpl_intra_cost : aom_partition_features, SuperBlockEnc
- tpl_keep_ref_frame : macroblock
- tpl_mc_dep_cost : aom_partition_features
- tpl_mt_sync : TplParams
- tpl_mv : SuperBlockEnc
- tpl_mvs : AV1Common
- tpl_mvs_mem_size : AV1Common
- tpl_rdmult_scaling_factors : AV1_COMP
- tpl_rec_pool : TplParams
- tpl_row_mt : MultiThreadInfo
- tpl_sb_rdmult_scaling_factors : AV1_PRIMARY
- tpl_sf : SPEED_FEATURES
- tpl_stats_block_mis_log2 : TplParams
- tpl_stats_buffer : TplParams
- tpl_stats_pool : TplParams
- tpl_stride : SuperBlockEnc
- tpl_unit_length : aom_sb_tpl_features
- trial_frame_rst : AV1_COMP
- try_merge_partition : macroblock
- ts_end_last_show_frame : AV1_PRIMARY
- ts_frame_end : AV1_COMP_DATA
- ts_frame_start : AV1_COMP_DATA
- ts_start_last_show_frame : AV1_PRIMARY
- twopass : AV1_PRIMARY
- twopass_frame : AV1_COMP
- twopass_stats : aom_codec_cx_pkt
- twopass_stats_in : AV1EncoderConfig
- tx_domain_dist_threshold : TxfmSearchParams, WinnerModeParams
- tx_mode : FeatureFlags
- tx_mode_search_type : TxfmSearchParams
- tx_sf : SPEED_FEATURES
- tx_size : MB_MODE_INFO, MB_RD_INFO
- tx_size_cost : ModeCosts
- tx_size_search_method : TxfmSearchParams
- tx_size_search_methods : WinnerModeParams
- tx_type_map : CommonModeInfoParams, macroblockd, MB_RD_INFO
- tx_type_map_ : TxfmSearchInfo
- tx_type_map_stride : macroblockd
- tx_type_probs : FrameProbInfo
- txb_entropy_ctx : macroblock_plane
- txb_offset : DecoderCodingBlock
- txb_skip_cost : LV_MAP_COEFF_COST
- txb_split_count : TxfmSearchInfo
- txfm : CommonContexts
- txfm_partition_cost : ModeCosts
- txfm_search_info : macroblock
- txfm_search_params : macroblock
- txfm_stats_list : TplParams
- type : aom_metadata